Bug 17143 - USB mouse protocol does not work
Summary: USB mouse protocol does not work
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-31 17:27 UTC by compwiz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-14 17:47:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description compwiz 2000-08-31 17:27:10 UTC
When specifying "Protocol" "usb" in the mouse section of XF86Config-4, X
fails with a message saying that there is no such protocol. Is this not
compiled in for some reason? It would be nice to be able to use USB mice
directly using HID, instead of rather dumb PS/2 emulation.

Comment 1 Mike A. Harris 2001-02-06 23:23:25 UTC
USB is not a supported protocol in Red Hat 7.0 Xfree.  You more or less
need a 2.4.x kernel to get useable USB.  That doesn't mean it works in X
though.  I have no idea if USB works in XFree with a 2.4.x kernel or not.
Most likely it does though.

Comment 2 compwiz 2001-02-07 00:00:26 UTC
No, it doesn't. The system I was using was 2.3/2.4, and the USB mouse emulation
worked fine, but not X's USB protocol using the event driver.


Note You need to log in before you can comment on or make changes to this bug.